Bug 1948935 - wxGTK-3.1.5 is available
Summary: wxGTK-3.1.5 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: wxGTK
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Scott Talbert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-13 06:14 UTC by Upstream Release Monitoring
Modified: 2021-08-12 00:16 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-31 13:38:53 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2021-04-13 06:14:43 UTC
Latest upstream release: 3.1.5
Current version/release in rawhide: 3.0.5.1-3.fc34
URL: http://www.wxwidgets.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/5150/

Comment 1 Be 2021-08-11 22:35:23 UTC
> Current version/release in rawhide: 3.0.5.1-3.fc34

This is misleading. Fedora packages both wxWidgets 3.0 (wxGTK3) and wxWidgets 3.1 (wxGTK). Can the wxGTK package in Fedora 34 be updated to 3.1.5? High DPI support is broken in wxWidgets 3.1.4, see https://github.com/tenacityteam/tenacity/issues/435 (the screenshot on the left) for what it looks like with 3.1.4.

Comment 2 Ian McInerney 2021-08-12 00:13:36 UTC
> This is misleading.

It is not misleading. The wxGTK3 package is in fact at 3.0.5.1, and that is the package that release monitoring tracks and files bugs against. It just so happens that in this case there is a different package to hold the 3.1 development branch. The release monitoring system isn't really setup to handle releases to multiple different versions from one upstream that are contained inside multiple packages - so it will just file the bug against one component. The maintainer moved it to the appropriate component and handled it - so saying it is misleading is actually misleading.

> Can the wxGTK package in Fedora 34 be updated to 3.1.5

In my opinion - no. The 3.1 series of releases in wxWidgets have no API or ABI stability between releases because they are classed as development releases by upstream where they are finalizing the future API for the next stable release (it just so happens that they also say they should be safe to use for normal use). That means that any bumping of the version carries significant risk to all dependent packages - and all of those also need to be rebuilt to pickup the new soname. There are also some subtle differences in behavior between the two releases (e.g. in 3.1.5 it defaults to an EGL backend for the OpenGL canvas instead of an X11 backend - which could break downstream packages expecting the X11 canvas). That makes it too risky in my opinion to backport the new version to a stable Fedora release.

Comment 3 Be 2021-08-12 00:16:23 UTC
Okay that all makes sense. Thanks for clarifying.


Note You need to log in before you can comment on or make changes to this bug.